
PYROS - Anomalie #6790
Evolution # 6717 (Nouveau): ============== (( PYROS SOFTWARE )) ==============
Evolution # 6675 (Nouveau): ======= ((F)) MODULE - GENERAL PROJECT =======
Evolution # 6713 (Nouveau): ----- ((F)) FUNCTION - CI&CD (Contin. Integr, Test & Deploy) -----
Evolution # 6679 (Nouveau): ((T)) install.py : Installation script (refactorisation et simplification)

Bug Mysql ancien
03/05/2019 03:20 pm - Etienne Pallier

Status: Nouveau Start date: 03/05/2019
Priority: Bas Due date:
Assignee: % Done: 0%
Category: Estimated time: 2.00 hours
Target version: Spent time: 2.00 hours
Description

(EP 5/2/19) bugfix install.py ne marche pas avec mysql 5.5 sur linux (hyp2) :

-----------------------------Launching mysql to create database and create and grant user pyros-----------------------------
MySQL version is 5.5
-----------------------------Please enter your MYSQL root password-----------------------------
Enter password:
ERROR 1064 (42000) at line 1: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server
version for the right syntax to use near 'IF NOT EXISTS pyros' at line 1
Traceback (most recent call last):
  File "install.py", line 364, in <module>
    if INSTALL_DB: install_database(VENV)
  File "install.py", line 314, in install_database
    stderr.write(Colors.ERROR + "ERROR !: db configuration failed !" + Colors.END + "\r\n")
NameError: name 'stderr' is not defined
--------------------------------------Process execution failed--------------------------------------

History
#1 - 03/06/2019 10:06 am - Etienne Pallier
- Priority changed from Normal to Bas

#2 - 03/06/2019 10:13 am - Etienne Pallier
- Estimated time set to 2.00
